PETSc version 3.15.5
Fix/Edit manual page

# TaoSetConvergenceTest

Sets the function that is to be used to test for convergence o fthe iterative minimization solution. The new convergence testing routine will replace TAO's default convergence test.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetConvergenceTest(Tao tao, PetscErrorCode (*conv)(Tao,void*), void *ctx)

Logically Collective on Tao

### Input Parameters

| tao | - the Tao object
| conv | - the routine to test for convergence
| ctx | - [optional] context for private data for the convergence routine (may be NULL)

### Calling sequence of conv

      PetscErrorCode conv(Tao tao, void *ctx)

| tao | - the Tao object
| ctx | - [optional] convergence context

Note: The new convergence testing routine should call TaoSetConvergedReason().

### See Also

TaoSetConvergedReason(), TaoGetSolutionStatus(), TaoGetTolerances(), TaoSetMonitor

### Level

advanced

### Location

src/tao/interface/taosolver.c

### Examples

src/tao/unconstrained/tutorials/eptorsion2f.F.html
src/tao/bound/tutorials/jbearing2.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages